OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_ChangeLevelNumber Class Reference

Changes Level Number (as null or single) to a new single value
Entities attached to a LevelListEntity are ignored
Entities considered can be, either all Entities but those
attached to a LevelListEntity, or Entities attached to a
specific Level Number (0 for not defined).
Remark : this concerns the Directory Part only. The Level List
Entities themselves (their content) are not affected.
.

`#include <IGESSelect_ChangeLevelNumber.hxx>`

Inheritance diagram for IGESSelect_ChangeLevelNumber:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_ChangeLevelNumber ()
| Creates a ChangeLevelNumber, not yet defined (see SetOldNumber and SetNewNumber) .
Standard_EXPORT Standard_Boolean | HasOldNumber () const
| Returns True if OldNumber is defined : then, only entities attached to the value of OldNumber will be considered. Else, all entities but those attached to a Level List will be. .
Standard_EXPORT Handle_IFSelect_IntParam | OldNumber () const
| Returns the parameter for OldNumber. If not defined (Null Handle), it will be interpreted as "all level numbers" .
Standard_EXPORT void | SetOldNumber (const Handle(IFSelect_IntParam)&param)
| Sets a parameter for OldNumber .
Standard_EXPORT Handle_IFSelect_IntParam | NewNumber () const
| Returns the parameter for NewNumber. If not defined (Null Handle), it will be interpreted as "new value 0" .
Standard_EXPORT void | SetNewNumber (const Handle(IFSelect_IntParam)&param)
| Sets a parameter for NewNumber .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : considers selected target entities : If OldNumber is not defined, all entities but those attached to a Level List If OldNumber is defined (value not negative), entities with a defined Level Number (can be zero) Attaches all these entities to value given by NewNumber, or zero if not defined .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Changes Level Number <old> to <new>" , or "Changes all Levels Numbers positive and zero to <new>" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IFSelect_IntParam | theold
Handle_IFSelect_IntParam | thenew

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_ChangeLevelNumber::IGESSelect_ChangeLevelNumber | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_ChangeLevelNumber::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT Standard_Boolean IGESSelect_ChangeLevelNumber::HasOldNumber | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString IGESSelect_ChangeLevelNumber::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT Handle_IFSelect_IntParam IGESSelect_ChangeLevelNumber::NewNumber | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_IntParam IGESSelect_ChangeLevelNumber::OldNumber | ( |  | ) | const

Standard_EXPORT void IGESSelect_ChangeLevelNumber::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

Standard_EXPORT void IGESSelect_ChangeLevelNumber::SetNewNumber | ( | const Handle(IFSelect_IntParam)& | param | ) |

Standard_EXPORT void IGESSelect_ChangeLevelNumber::SetOldNumber | ( | const Handle(IFSelect_IntParam)& | param | ) |

## Field Documentation

Handle_IFSelect_IntParam IGESSelect_ChangeLevelNumber::thenew`[private]`

Handle_IFSelect_IntParam IGESSelect_ChangeLevelNumber::theold`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_ChangeLevelNumber.hxx